<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <nz-card
    style="width: 100%; margin-top: 10px"
    nzTitle="{{ 'Citizen.Medals' | translate }}"
    nzSize="small"
  >
    <div nz-row nzType="flex" nzJustify="space-around">
      <div
        nz-col
        *ngFor="let medal of medals"
        [nzSpan]="24 / medals.length"
        nzTooltipTitle="{{ medal.name }}"
        nz-tooltip
        style="text-align: center"
      >
        <div>
          <img style="width: 90%; height: auto" [src]="medal.icon" />
          <div style="margin-top: 5px">
            <nz-tag
              nzColor="green"
              style="padding-left: 18px; padding-right: 18px; margin-left: 8px"
              >{{ medal.amount }}</nz-tag
            >
          </div>
        </div>
      </div>
    </div>
  </nz-card>
</nz-spin>
